/**
 ** $Id: preconf.h,v 1.4 1994/02/19 16:40:13 alden Exp $
 **
 ** This file also contains a lot of assumptions about what features
 ** are available on the local system - if something is not working
 ** to your liking, look them over carefully.
 **
 **
 ** $Log: preconf.h,v $
 ** Revision 1.4  1994/02/19  16:40:13  alden
 ** Move MAXSHORT, MAXINT and MAXLONG from postconf.h to preconf.h
 **
 ** Revision 1.3  1993/10/25  18:21:51  root
 ** Add include for config.h
 **
 ** Revision 1.2  1993/10/13  20:50:26  alden
 ** Added new FLG_FUNNEL
 **
 ** Revision 1.1  1993/05/05  00:04:32  alden
 ** Initial revision
 **
 **
 **/

/**
 ** First we include all of the definitions made by 'configure'
 **/
#include "config.h"


/**
 ** Transport Protocols.
 **
 **/
#define	T_IP_TCP	1	/** transport is IP/TCP **/
#define	T_DECNET	2	/** transport is DECNET **/
#define T_DKHOST	3	/** transport is DKHOST **/


/**
 ** Input file flags - where do we get articles from?
 **
 **/
#define FLG_BATCHFILE	(1<<0)		/** only from batchfile **/
#define FLG_FUNNEL	(1<<1)		/** from batchfile, then funnel **/
#define FLG_LOGFILE	(1<<2)		/** from batchfile, then logfile **/
#define FLG_STDIN	(1<<3)		/** from batchfile, then <stdin> **/

/* If we don't have <values.h>, then try to fake it */

#ifndef HAVE_VALUES_H
#define BITSPERBYTE 8
#define BITS(type)	(BITSPERBYTE * (int)sizeof(type))

/* short, regular and long ints with only the high-order bit turned on */
#define HIBITS  ((short)(1 << BITS(short) - 1))
#define HIBITI  (1 << BITS(int) - 1)
#define HIBITL  (1L << BITS(long) - 1)

/* largest short, regular and long int */
#define MAXSHORT        ((short)~HIBITS)
#define MAXINT  (~HIBITI)
#define MAXLONG (~HIBITL)
#endif
